const asciiCodeTool = require('../../../tools/ascii-code/index.js')

const handlers = {
  setAsciiCodeState(changedData) {
    this.setData(asciiCodeTool.updateState(this.data, changedData))
  },

  onAsciiCodeInput(event) {
    this.setAsciiCodeState({
      asciiCodeInputText: event.detail.value
    })
  },

  clearAsciiCodeInput() {
    this.setData(asciiCodeTool.clearInput(this.data))
  }
}

module.exports = {
  handlers
}
